package com.jeeplus.modules.sg.budgetSpectaculars.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

/**
 * 后评价显示表
 * @author: 徐滕
 * @create: 2021-09-15 16:06
 **/
public class PostEvaluationInfo extends DataEntity<PostEvaluationInfo> {
    private String projectName;    //项目名称
    private String projectNumber;    //国网项目编码
    private String firstLevelUnit;    //一级单位
    private String secondLevelUnit;    //二级单位
    private String relevantDepartment;    //归口部门
    private String projectType;    //项目类型
    private String projectProperty;    //项目性质
    private String planStartWorkingTimeAccuracy;    //计划开工日期准确性
    private Integer planStartWorkingTimeAccuracyFlag;    //计划开工日期准确性Flag
    private String planCompletionTimeAccuracy;    //计划竣工日期准确性
    private String concealColumnOne;    //隐藏列1

    private String practicalStartWorkingTimely;    //实际开工及时性
    private String projectCompletionTimely;    //项目竣工及时性
    private String concealColumnTwo;    //隐藏列2
    private String calculateAuditDateTimely;    //结算送审日期及时性
    private Integer calculateAuditDateTimelyFlag;    //结算送审日期及时性Flag
    private String calculateExamineDateTimely;    //结算审定日期及时性
    private Integer calculateExamineDateTimelyFlag;    //结算审定日期及时性flag
    private String constructionFeeRecordedTimely;    //施工费入账日期及时性
    private Integer constructionFeeRecordedTimelyFlag;    //施工费入账日期及时性flag
    private String ifCoincideCheckWhichMaterial;    //核对甲供材是否一致
    private Integer ifCoincideCheckWhichMaterialFlag;    //核对甲供材是否一致flag
    private String supervisionFeeRecordedTimely;    //监理费入账日期及时性
    private String clearingFeeRecordedTimely;    //结算费用入账及时性
    private String finalFeeRecordedTimely;    //决算费用入账及时性（成本项目不适用）

    private String completionSettlementDateTimely;    //提报竣工决算日期及时性
    private Integer completionSettlementDateTimelyFlag;    //提报竣工决算日期及时性flag
    private String finalAuditDateTimely;    //决算送审日期及时性
    private Integer finalAuditDateTimelyFlag;    //决算送审日期及时性flag
    private String finalAccountsAuditReportTimely;    //出具决算审计报告及时性
    private Integer finalAccountsAuditReportTimelyFlag;    //出具决算审计报告及时性flag

    @ExcelField(title="项目名称", align=2, sort=1)
    public String getProjectName() {
        return projectName;
    }
    @ExcelField(title="国网项目编码", align=2, sort=2)
    public String getProjectNumber() {
        return projectNumber;
    }
    @ExcelField(title="一级单位", align=2, sort=3)
    public String getFirstLevelUnit() {
        return firstLevelUnit;
    }
    @ExcelField(title="二级单位", align=2, sort=4)
    public String getSecondLevelUnit() {
        return secondLevelUnit;
    }
    @ExcelField(title="归口部门", align=2, sort=5)
    public String getRelevantDepartment() {
        return relevantDepartment;
    }
    @ExcelField(title="项目类型", align=2, sort=6)
    public String getProjectType() {
        return projectType;
    }
    @ExcelField(title="项目性质", align=2, sort=7)
    public String getProjectProperty() {
        return projectProperty;
    }
    @ExcelField(title="计划开工日期准确性", align=2, sort=8)
    public String getPlanStartWorkingTimeAccuracy() {
        return planStartWorkingTimeAccuracy;
    }
    @ExcelField(title="计划竣工日期准确性", align=2, sort=9)
    public String getPlanCompletionTimeAccuracy() {
        return planCompletionTimeAccuracy;
    }
    @ExcelField(title="隐藏列1", align=2, sort=10)
    public String getConcealColumnOne() {
        return concealColumnOne;
    }
    @ExcelField(title="实际开工及时性", align=2, sort=11)
    public String getPracticalStartWorkingTimely() {
        return practicalStartWorkingTimely;
    }
    @ExcelField(title="项目竣工及时性", align=2, sort=12)
    public String getProjectCompletionTimely() {
        return projectCompletionTimely;
    }
    @ExcelField(title="隐藏列2", align=2, sort=13)
    public String getConcealColumnTwo() {
        return concealColumnTwo;
    }
    @ExcelField(title="结算送审日期及时性", align=2, sort=14)
    public String getCalculateAuditDateTimely() {
        return calculateAuditDateTimely;
    }
    @ExcelField(title="结算审定日期及时性", align=2, sort=15)
    public String getCalculateExamineDateTimely() {
        return calculateExamineDateTimely;
    }
    @ExcelField(title="施工费入账日期及时性", align=2, sort=16)
    public String getConstructionFeeRecordedTimely() {
        return constructionFeeRecordedTimely;
    }
    @ExcelField(title="核对甲供材是否一致", align=2, sort=17)
    public String getIfCoincideCheckWhichMaterial() {
        return ifCoincideCheckWhichMaterial;
    }
    @ExcelField(title="监理费入账日期及时性", align=2, sort=18)
    public String getSupervisionFeeRecordedTimely() {
        return supervisionFeeRecordedTimely;
    }
    @ExcelField(title="结算费用入账及时性", align=2, sort=19)
    public String getClearingFeeRecordedTimely() {
        return clearingFeeRecordedTimely;
    }
    @ExcelField(title="决算费用入账及时性（成本项目不适用）", align=2, sort=20)
    public String getFinalFeeRecordedTimely() {
        return finalFeeRecordedTimely;
    }
    @ExcelField(title="提报竣工决算日期及时性", align=2, sort=21)
    public String getCompletionSettlementDateTimely() {
        return completionSettlementDateTimely;
    }
    @ExcelField(title="决算送审日期及时性", align=2, sort=22)
    public String getFinalAuditDateTimely() {
        return finalAuditDateTimely;
    }
    @ExcelField(title="出具决算审计报告及时性", align=2, sort=23)
    public String getFinalAccountsAuditReportTimely() {
        return finalAccountsAuditReportTimely;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public void setProjectNumber(String projectNumber) {
        this.projectNumber = projectNumber;
    }

    public void setFirstLevelUnit(String firstLevelUnit) {
        this.firstLevelUnit = firstLevelUnit;
    }

    public void setSecondLevelUnit(String secondLevelUnit) {
        this.secondLevelUnit = secondLevelUnit;
    }

    public void setRelevantDepartment(String relevantDepartment) {
        this.relevantDepartment = relevantDepartment;
    }

    public void setProjectType(String projectType) {
        this.projectType = projectType;
    }

    public void setProjectProperty(String projectProperty) {
        this.projectProperty = projectProperty;
    }

    public void setPlanStartWorkingTimeAccuracy(String planStartWorkingTimeAccuracy) {
        this.planStartWorkingTimeAccuracy = planStartWorkingTimeAccuracy;
    }

    public void setPlanCompletionTimeAccuracy(String planCompletionTimeAccuracy) {
        this.planCompletionTimeAccuracy = planCompletionTimeAccuracy;
    }

    public void setConcealColumnOne(String concealColumnOne) {
        this.concealColumnOne = concealColumnOne;
    }

    public void setPracticalStartWorkingTimely(String practicalStartWorkingTimely) {
        this.practicalStartWorkingTimely = practicalStartWorkingTimely;
    }

    public void setProjectCompletionTimely(String projectCompletionTimely) {
        this.projectCompletionTimely = projectCompletionTimely;
    }

    public void setConcealColumnTwo(String concealColumnTwo) {
        this.concealColumnTwo = concealColumnTwo;
    }

    public void setCalculateAuditDateTimely(String calculateAuditDateTimely) {
        this.calculateAuditDateTimely = calculateAuditDateTimely;
    }

    public void setCalculateExamineDateTimely(String calculateExamineDateTimely) {
        this.calculateExamineDateTimely = calculateExamineDateTimely;
    }

    public void setConstructionFeeRecordedTimely(String constructionFeeRecordedTimely) {
        this.constructionFeeRecordedTimely = constructionFeeRecordedTimely;
    }

    public void setIfCoincideCheckWhichMaterial(String ifCoincideCheckWhichMaterial) {
        this.ifCoincideCheckWhichMaterial = ifCoincideCheckWhichMaterial;
    }

    public void setSupervisionFeeRecordedTimely(String supervisionFeeRecordedTimely) {
        this.supervisionFeeRecordedTimely = supervisionFeeRecordedTimely;
    }

    public void setClearingFeeRecordedTimely(String clearingFeeRecordedTimely) {
        this.clearingFeeRecordedTimely = clearingFeeRecordedTimely;
    }

    public void setFinalFeeRecordedTimely(String finalFeeRecordedTimely) {
        this.finalFeeRecordedTimely = finalFeeRecordedTimely;
    }

    public void setCompletionSettlementDateTimely(String completionSettlementDateTimely) {
        this.completionSettlementDateTimely = completionSettlementDateTimely;
    }

    public void setFinalAuditDateTimely(String finalAuditDateTimely) {
        this.finalAuditDateTimely = finalAuditDateTimely;
    }

    public void setFinalAccountsAuditReportTimely(String finalAccountsAuditReportTimely) {
        this.finalAccountsAuditReportTimely = finalAccountsAuditReportTimely;
    }

    private String planStartUpDate;    //计划开工日期
    private String plancompletionDate; //计划竣工日期
    private String practicalStartUpDate;    //实际开工日期

    private String practicalcompletionDate; //实际竣工日期
    private String firstAcquisitionTime;    //首次领料日期
    private String firstConstructionFeeRecordedTime;    //首笔施工费入账日期
    private String calculationForReviewTime;    //结算送审日期
    private String calculationExamineTime;    //结算审定日期
    private String whichMaterialStoresReturnedTime;    //发起甲供材领退料日期
    private String ifGetRejectedMaterialFinish;    //领退料是否完成
    private String completedActualBudgetTime;    //提报竣工决算日期
    private String actualBudgetSubmittalsTime;    //决算送审日期
    private String actualBudgetauditReportTime;    //出具决算审计报告日期

    private String firstWorkingCapitalTime;    //首笔转资日期
    private String ifProjectClose;    //项目是否关闭
    private String year;    //年份

    public String getPlanStartUpDate() {
        return planStartUpDate;
    }

    public void setPlanStartUpDate(String planStartUpDate) {
        this.planStartUpDate = planStartUpDate;
    }

    public String getPlancompletionDate() {
        return plancompletionDate;
    }

    public void setPlancompletionDate(String plancompletionDate) {
        this.plancompletionDate = plancompletionDate;
    }

    public String getPracticalStartUpDate() {
        return practicalStartUpDate;
    }

    public void setPracticalStartUpDate(String practicalStartUpDate) {
        this.practicalStartUpDate = practicalStartUpDate;
    }

    public String getPracticalcompletionDate() {
        return practicalcompletionDate;
    }

    public void setPracticalcompletionDate(String practicalcompletionDate) {
        this.practicalcompletionDate = practicalcompletionDate;
    }

    public String getFirstAcquisitionTime() {
        return firstAcquisitionTime;
    }

    public void setFirstAcquisitionTime(String firstAcquisitionTime) {
        this.firstAcquisitionTime = firstAcquisitionTime;
    }

    public String getFirstConstructionFeeRecordedTime() {
        return firstConstructionFeeRecordedTime;
    }

    public void setFirstConstructionFeeRecordedTime(String firstConstructionFeeRecordedTime) {
        this.firstConstructionFeeRecordedTime = firstConstructionFeeRecordedTime;
    }

    public String getCalculationForReviewTime() {
        return calculationForReviewTime;
    }

    public void setCalculationForReviewTime(String calculationForReviewTime) {
        this.calculationForReviewTime = calculationForReviewTime;
    }

    public String getCalculationExamineTime() {
        return calculationExamineTime;
    }

    public void setCalculationExamineTime(String calculationExamineTime) {
        this.calculationExamineTime = calculationExamineTime;
    }

    public String getWhichMaterialStoresReturnedTime() {
        return whichMaterialStoresReturnedTime;
    }

    public void setWhichMaterialStoresReturnedTime(String whichMaterialStoresReturnedTime) {
        this.whichMaterialStoresReturnedTime = whichMaterialStoresReturnedTime;
    }

    public String getIfGetRejectedMaterialFinish() {
        return ifGetRejectedMaterialFinish;
    }

    public void setIfGetRejectedMaterialFinish(String ifGetRejectedMaterialFinish) {
        this.ifGetRejectedMaterialFinish = ifGetRejectedMaterialFinish;
    }

    public String getCompletedActualBudgetTime() {
        return completedActualBudgetTime;
    }

    public void setCompletedActualBudgetTime(String completedActualBudgetTime) {
        this.completedActualBudgetTime = completedActualBudgetTime;
    }

    public String getActualBudgetSubmittalsTime() {
        return actualBudgetSubmittalsTime;
    }

    public void setActualBudgetSubmittalsTime(String actualBudgetSubmittalsTime) {
        this.actualBudgetSubmittalsTime = actualBudgetSubmittalsTime;
    }

    public String getActualBudgetauditReportTime() {
        return actualBudgetauditReportTime;
    }

    public void setActualBudgetauditReportTime(String actualBudgetauditReportTime) {
        this.actualBudgetauditReportTime = actualBudgetauditReportTime;
    }

    public String getFirstWorkingCapitalTime() {
        return firstWorkingCapitalTime;
    }

    public void setFirstWorkingCapitalTime(String firstWorkingCapitalTime) {
        this.firstWorkingCapitalTime = firstWorkingCapitalTime;
    }

    public String getIfProjectClose() {
        return ifProjectClose;
    }

    public void setIfProjectClose(String ifProjectClose) {
        this.ifProjectClose = ifProjectClose;
    }

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }

    public Integer getPlanStartWorkingTimeAccuracyFlag() {
        return planStartWorkingTimeAccuracyFlag;
    }

    public void setPlanStartWorkingTimeAccuracyFlag(Integer planStartWorkingTimeAccuracyFlag) {
        this.planStartWorkingTimeAccuracyFlag = planStartWorkingTimeAccuracyFlag;
    }

    public Integer getCalculateAuditDateTimelyFlag() {
        return calculateAuditDateTimelyFlag;
    }

    public void setCalculateAuditDateTimelyFlag(Integer calculateAuditDateTimelyFlag) {
        this.calculateAuditDateTimelyFlag = calculateAuditDateTimelyFlag;
    }

    public Integer getCalculateExamineDateTimelyFlag() {
        return calculateExamineDateTimelyFlag;
    }

    public void setCalculateExamineDateTimelyFlag(Integer calculateExamineDateTimelyFlag) {
        this.calculateExamineDateTimelyFlag = calculateExamineDateTimelyFlag;
    }

    public Integer getConstructionFeeRecordedTimelyFlag() {
        return constructionFeeRecordedTimelyFlag;
    }

    public void setConstructionFeeRecordedTimelyFlag(Integer constructionFeeRecordedTimelyFlag) {
        this.constructionFeeRecordedTimelyFlag = constructionFeeRecordedTimelyFlag;
    }

    public Integer getIfCoincideCheckWhichMaterialFlag() {
        return ifCoincideCheckWhichMaterialFlag;
    }

    public void setIfCoincideCheckWhichMaterialFlag(Integer ifCoincideCheckWhichMaterialFlag) {
        this.ifCoincideCheckWhichMaterialFlag = ifCoincideCheckWhichMaterialFlag;
    }

    public Integer getCompletionSettlementDateTimelyFlag() {
        return completionSettlementDateTimelyFlag;
    }

    public void setCompletionSettlementDateTimelyFlag(Integer completionSettlementDateTimelyFlag) {
        this.completionSettlementDateTimelyFlag = completionSettlementDateTimelyFlag;
    }

    public Integer getFinalAuditDateTimelyFlag() {
        return finalAuditDateTimelyFlag;
    }

    public void setFinalAuditDateTimelyFlag(Integer finalAuditDateTimelyFlag) {
        this.finalAuditDateTimelyFlag = finalAuditDateTimelyFlag;
    }

    public Integer getFinalAccountsAuditReportTimelyFlag() {
        return finalAccountsAuditReportTimelyFlag;
    }

    public void setFinalAccountsAuditReportTimelyFlag(Integer finalAccountsAuditReportTimelyFlag) {
        this.finalAccountsAuditReportTimelyFlag = finalAccountsAuditReportTimelyFlag;
    }
}
